diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBubbleChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBubbleChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBubbleChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBubbleChartApp.java
@@ -92,7 +92,8 @@
             testedBubbleChart = getNewChart();
             testedBubbleChart.setId(TESTED_CHART_ID);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -102,7 +103,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //throw new UnsupportedOperationException("Not supported yet.");
@@ -126,8 +128,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove serie!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("Remove serie!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -141,12 +146,15 @@
         public HBox getRemoveDataFromSerieDialog() {
             HBox hb = new HBox();
             Label lb1 = new Label("From serie");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
 
             Label lb2 = new Label("from index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
 
-            Button bt = ButtonBuilder.create().text("remove bubble!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("remove bubble!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int serie = Integer.parseInt(tf1.getText());
@@ -161,21 +169,27 @@
         public HBox getAddBubbleToSerieDialog() {
             HBox hb = new HBox();
             Label lb1 = new Label("To serie");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
 
             Label lb2 = new Label("to index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
 
             Label lb3 = new Label("X");
-            final TextField tf3 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf3 = new TextField("0");
+            tf3.setPrefWidth(50);
 
             Label lb4 = new Label("Y");
-            final TextField tf4 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf4 = new TextField("0");
+            tf4.setPrefWidth(50);
 
             Label lb5 = new Label("R");
-            final TextField tf5 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf5 = new TextField("0");
+            tf5.setPrefWidth(50);
 
-            Button bt = ButtonBuilder.create().text("add bubble!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("add bubble!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int serie = Integer.parseInt(tf1.getText());
@@ -199,18 +213,27 @@
         public HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add series named ");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_NAME_TEXTFIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADDED_SERIES_NAME_TEXTFIELD_ID);
 
             Label minLabel = new Label(" min X,Y ");
-            final TextField minText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID).build();
+            final TextField minText = new TextField();
+            minText.setPrefWidth(50);
+            minText.setId(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID);
 
             Label maxLabel = new Label(" max X,Y ");
-            final TextField maxText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID).build();
+            final TextField maxText = new TextField();
+            maxText.setPrefWidth(50);
+            maxText.setId(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID);
 
             Label amountLabel = new Label(" add ");
-            final TextField amountText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID).build();
+            final TextField amountText = new TextField();
+            amountText.setPrefWidth(50);
+            amountText.setId(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID);
 
-            Button bt = ButtonBuilder.create().text(" bubbles!").id(ADD_SERIES_COMMAND_BUTTON_ID).build();
+            Button bt = new Button(" bubbles!");
+            bt.setId(ADD_SERIES_COMMAND_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     String serieName = tf.getText();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewLineChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewLineChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewLineChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewLineChartApp.java
@@ -98,7 +98,8 @@
             testedLineChart = getNewChart();
             testedLineChart.setId(TESTED_CHART_ID);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -108,7 +109,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //throw new UnsupportedOperationException("Not supported yet.");
@@ -133,15 +135,22 @@
             HBox hb = new HBox();
 
             Label lb1 = new Label("To area");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).id(ADD_LINE_POS_TEXT_FIELD_ID).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
+            tf1.setId(ADD_LINE_POS_TEXT_FIELD_ID);
 
             Label lb2 = new Label("to index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).id(ADD_INDEX_TEXT_FIELD_ID).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
+            tf2.setId(ADD_INDEX_TEXT_FIELD_ID);
 
             Label lb3 = new Label("value");
-            final TextField tf3 = TextFieldBuilder.create().text("0").prefWidth(50).id(ADD_VALUE_TEXT_FIELD_ID).build();
+            final TextField tf3 = new TextField("0");
+            tf3.setPrefWidth(50);
+            tf3.setId(ADD_VALUE_TEXT_FIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("add point!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("add point!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int area = Integer.parseInt(tf1.getText());
@@ -163,12 +172,17 @@
             HBox hb = new HBox();
 
             Label lb1 = new Label("From area");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_LINE_FROM_POS_TEXT_FIELD_ID).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
+            tf1.setId(REMOVE_LINE_FROM_POS_TEXT_FIELD_ID);
 
             Label lb2 = new Label("From index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_INDEX_TEXT_FIELD_ID).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
+            tf2.setId(REMOVE_INDEX_TEXT_FIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("remove point!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("remove point!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int area = Integer.parseInt(tf1.getText());
@@ -183,8 +197,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From index");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("remove line!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("remove line!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -198,18 +215,27 @@
         public HBox getAddLineHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add series named ");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_NAME_TEXTFIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADDED_SERIES_NAME_TEXTFIELD_ID);
 
             Label minLabel = new Label(" minX ");
-            final TextField minText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID).build();
+            final TextField minText = new TextField();
+            minText.setPrefWidth(50);
+            minText.setId(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID);
 
             Label maxLabel = new Label(" maxX ");
-            final TextField maxText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID).build();
+            final TextField maxText = new TextField();
+            maxText.setPrefWidth(50);
+            maxText.setId(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID);
 
             Label amountLabel = new Label(" with ");
-            final TextField amountText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID).build();
+            final TextField amountText = new TextField();
+            amountText.setPrefWidth(50);
+            amountText.setId(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID);
 
-            Button bt = ButtonBuilder.create().text(" points add!").id(ADD_SERIES_COMMAND_BUTTON_ID).build();
+            Button bt = new Button(" points add!");
+            bt.setId(ADD_SERIES_COMMAND_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     String serieName = tf.getText();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewNumberScatterChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewNumberScatterChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewNumberScatterChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewNumberScatterChartApp.java
@@ -93,7 +93,8 @@
             testedScatterChart = getNewChart();
             testedScatterChart.setId(TESTED_CHART_ID);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -103,7 +104,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //throw new UnsupportedOperationException("Not supported yet.");
@@ -127,8 +129,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("Remove!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -142,12 +147,15 @@
         public HBox getRemoveDataFromSerieDialog() {
             HBox hb = new HBox();
             Label lb1 = new Label("From serie");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
 
             Label lb2 = new Label("from index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
 
-            Button bt = ButtonBuilder.create().text("remove point!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("remove point!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int serie = Integer.parseInt(tf1.getText());
@@ -162,18 +170,23 @@
         public HBox getAddPointToSerieDialog() {
             HBox hb = new HBox();
             Label lb1 = new Label("To serie");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
 
             Label lb2 = new Label("to index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
 
             Label lb3 = new Label("X");
-            final TextField tf3 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf3 = new TextField("0");
+            tf3.setPrefWidth(50);
 
             Label lb4 = new Label("Y");
-            final TextField tf4 = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tf4 = new TextField("0");
+            tf4.setPrefWidth(50);
 
-            Button bt = ButtonBuilder.create().text("add point!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("add point!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int serie = Integer.parseInt(tf1.getText());
@@ -195,18 +208,27 @@
         public HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add series named ");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_NAME_TEXTFIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADDED_SERIES_NAME_TEXTFIELD_ID);
 
             Label minLabel = new Label(" min ");
-            final TextField minText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID).build();
+            final TextField minText = new TextField();
+            minText.setPrefWidth(50);
+            minText.setId(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID);
 
             Label maxLabel = new Label(" max ");
-            final TextField maxText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID).build();
+            final TextField maxText = new TextField();
+            maxText.setPrefWidth(50);
+            maxText.setId(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID);
 
             Label amountLabel = new Label(" amount ");
-            final TextField amountText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID).build();
+            final TextField amountText = new TextField();
+            amountText.setPrefWidth(50);
+            amountText.setId(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_SERIES_COMMAND_BUTTON_ID).build();
+            Button bt = new Button("Add!");
+            bt.setId(ADD_SERIES_COMMAND_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     String serieName = tf.getText();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewPieChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewPieChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewPieChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewPieChartApp.java
@@ -104,7 +104,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -114,7 +115,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     throw new UnsupportedOperationException("Not supported yet.");
@@ -150,8 +152,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("Remove!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -165,12 +170,19 @@
         public HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add item");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADD_ITEM_VALUE_TEXT_FIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADD_ITEM_VALUE_TEXT_FIELD_ID);
             Label namedLabel = new Label(" named ");
-            final TextField name = TextFieldBuilder.create().prefWidth(50).id(ADD_ITEM_TEXT_FIELD_ID).build();
+            final TextField name = new TextField();
+            name.setPrefWidth(50);
+            name.setId(ADD_ITEM_TEXT_FIELD_ID);
             Label atLb = new Label("at pos");
-            final TextField tfPos = TextFieldBuilder.create().prefWidth(50).id(ADD_ITEM_POSITION_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_ITEM_BUTTON_ID).build();
+            final TextField tfPos = new TextField();
+            tfPos.setPrefWidth(50);
+            tfPos.setId(ADD_ITEM_POSITION_TEXT_FIELD_ID);
+            Button bt = new Button("Add!");
+            bt.setId(ADD_ITEM_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tfPos.getText());
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedAreaChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedAreaChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedAreaChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedAreaChartApp.java
@@ -87,7 +87,8 @@
             testedStackedAreaChart = getNewChart();
             testedStackedAreaChart.setId(TESTED_CHART_ID);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -97,7 +98,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //throw new UnsupportedOperationException("Not supported yet.");
@@ -121,8 +123,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_AREA_INDEX_TEXTFIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove!").id(REMOVE_AREA_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_AREA_INDEX_TEXTFIELD_ID);
+            Button bt = new Button("Remove!");
+            bt.setId(REMOVE_AREA_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -136,18 +141,27 @@
         public HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add series named ");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_NAME_TEXTFIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADDED_SERIES_NAME_TEXTFIELD_ID);
 
             Label minLabel = new Label(" min ");
-            final TextField minText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID).build();
+            final TextField minText = new TextField();
+            minText.setPrefWidth(50);
+            minText.setId(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID);
 
             Label maxLabel = new Label(" max ");
-            final TextField maxText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID).build();
+            final TextField maxText = new TextField();
+            maxText.setPrefWidth(50);
+            maxText.setId(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID);
 
             Label amountLabel = new Label(" amount ");
-            final TextField amountText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID).build();
+            final TextField amountText = new TextField();
+            amountText.setPrefWidth(50);
+            amountText.setId(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_SERIES_COMMAND_BUTTON_ID).build();
+            Button bt = new Button("Add!");
+            bt.setId(ADD_SERIES_COMMAND_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     String serieName = tf.getText();
